
Figure - Bug #119116
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】127版本Monkey测试35小时后异常停止
2023-07-31 10:42 - CD TEST-方永红

Status: CLOSED Start date: 2023-07-31

Priority: High Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0127

Resolution: FIXED Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version: 2023-08-02

Test Type: Monkey Test Root cause: 代码逻辑问题，已经修复

Description

【测试版本】

0127

【测试情况】

127版本Monkey测试35小时后异常停止，设备熄屏

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/127_731_022/Device1

History

#1 - 2023-08-02 17:03 - CD FW 曹覃刚

■ 我的分析

-----------------

07-30 04:16:54.313  1475  1628 E AndroidRuntime: *** FATAL EXCEPTION IN SYSTEM PROCESS: android.display

07-30 04:16:54.313  1475  1628 E AndroidRuntime: java.util.ConcurrentModificationException

07-30 04:16:54.313  1475  1628 E AndroidRuntime:     at android.util.ArraySet.add(ArraySet.java:481)

07-30 04:16:54.313  1475  1628 E AndroidRuntime:     at com.android.server.wm.ActivityRecord.setVisibility(ActivityRecord.java:4735)

07-30 04:16:54.313  1475  1628 E AndroidRuntime:     at com.android.server.wm.ActivityRecord.setVisibility(ActivityRecord.java:4614)

07-30 04:16:54.313  1475  1628 E AndroidRuntime:     at com.android.server.wm.FreeFormWindowHelper$3.run(FreeFormWindowHelper.java:415)

07-30 04:16:54.313  1475  1628 E AndroidRuntime:     at android.os.Handler.handleCallback(Handler.java:938)

07-30 04:16:54.313  1475  1628 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:99)

07-30 04:16:54.313  1475  1628 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

07-30 04:16:54.313  1475  1628 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

07-30 04:16:54.313  1475  1628 E AndroidRuntime:     at android.os.HandlerThread.run(HandlerThread.java:67)

07-30 04:16:54.313  1475  1628 E AndroidRuntime:     at com.android.server.ServiceThread.run(ServiceThread.java:44)

07-30 04:16:54.313  1475  1628 I am_crash: [1475,0,system_server,-1,java.util.ConcurrentModificationException,NULL,ArraySet.java,481]

07-30 04:16:54.315  1475  1629 E WindowManager: Unhandled exception while laying out windows

07-30 04:16:54.315  1475  1629 E WindowManager: java.lang.NullPointerException: Attempt to invoke virtual method 'com.android.server.wm.Task

com.android.server.wm.WindowContainer.asTask()' on a null object reference

07-30 04:16:54.315  1475  1629 E WindowManager:     at com.android.server.wm.AppTransitionController.getAppFromContainer(AppTransitionController.java:480)

07-30 04:16:54.315  1475  1629 E WindowManager:     at com.android.server.wm.AppTransitionController.transitionGoodToGo(AppTransitionController.java:871)

07-30 04:16:54.315  1475  1629 E WindowManager:     at com.android.server.wm.AppTransitionController.handleAppTransitionReady(AppTransitionController.java:146)

07-30 04:16:54.315  1475  1629 E WindowManager:     at com.android.server.wm.RootWindowContainer.checkAppTransitionReady(RootWindowContainer.java:1030)
07-30 04:16:54.315  1475  1629 E WindowManager:     at

com.android.server.wm.RootWindowContainer.performSurfacePlacementNoTrace(RootWindowContainer.java:869)

07-30 04:16:54.315  1475  1629 E WindowManager:     at com.android.server.wm.RootWindowContainer.performSurfacePlacement(RootWindowContainer.java:805)

07-30 04:16:54.315  1475  1629 E WindowManager:     at com.android.server.wm.WindowSurfacePlacer.performSurfacePlacementLoop(WindowSurfacePlacer.java:177)

07-30 04:16:54.315  1475  1629 E WindowManager:     at com.android.server.wm.WindowSurfacePlacer.performSurfacePlacement(WindowSurfacePlacer.java:126)

07-30 04:16:54.315  1475  1629 E WindowManager:     at com.android.server.wm.WindowSurfacePlacer.performSurfacePlacement(WindowSurfacePlacer.java:115)

07-30 04:16:54.315  1475  1629 E WindowManager:     at com.android.server.wm.WindowSurfacePlacer$Traverser.run(WindowSurfacePlacer.java:57)

07-30 04:16:54.315  1475  1629 E WindowManager:     at android.os.Handler.handleCallback(Handler.java:938)

07-30 04:16:54.315  1475  1629 E WindowManager:     at android.os.Handler.dispatchMessage(Handler.java:99)

07-30 04:16:54.315  1475  1629 E WindowManager:     at android.os.Looper.loopOnce(Looper.java:201)

07-30 04:16:54.315  1475  1629 E WindowManager:     at android.os.Looper.loop(Looper.java:288)

07-30 04:16:54.315  1475  1629 E WindowManager:     at android.os.HandlerThread.run(HandlerThread.java:67)

07-30 04:16:54.315  1475  1629 E WindowManager:     at com.android.server.ServiceThread.run(ServiceThread.java:44)

07-30 04:16:54.315  1475  1648 I am_wtf  : [0,1475,system_server,-1,WindowManager,Attempt to invoke virtual method 'com.android.server.wm.Task

com.android.server.wm.WindowContainer.asTask()' on a null object reference]

07-30 04:16:55.789 16558 16558 W Monkey  : * Error: A RuntimeException occurred:

07-30 04:16:55.789 16558 16558 W Monkey  : java.lang.RuntimeException: android.os.DeadSystemException

07-30 04:16:55.789 16558 16558 W Monkey  :     at android.hardware.input.InputManager.injectInputEvent(InputManager.java:1093)

07-30 04:16:55.789 16558 16558 W Monkey  :     at com.android.commands.monkey.MonkeyMotionEvent.injectEvent(MonkeyMotionEvent.java:188)

07-30 04:16:55.789 16558 16558 W Monkey  :     at com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1219)

07-30 04:16:55.789 16558 16558 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:710)

07-30 04:16:55.789 16558 16558 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:570)

07-30 04:16:55.789 16558 16558 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

07-30 04:16:55.789 16558 16558 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

07-30 04:16:55.789 16558 16558 W Monkey  : Caused by: android.os.DeadSystemException

07-30 04:16:55.789 16558 16558 W Monkey  :     ... 7 more

07-30 04:16:55.790 16558 16558 I Monkey  : Events injected: 672926

07-30 04:16:55.800 16558 16558 I Monkey  : ## Network stats: elapsed time=121276142ms (0ms mobile, 0ms wifi, 121276142ms not connected)

07-30 04:16:55.800 16558 16558 W Monkey  : * System appears to have crashed at event 672926 of 32000000 using seed 1234567

-----------------

发生了上面的报错导致monkey停止了

该错误已在下面的提交中修复

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/214722

■ 下一步计划

请使用07/28及之后的版本测试验证

#2 - 2023-08-02 17:04 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-08-02

- Root cause set to 代码逻辑问题，已经修复

#3 - 2023-08-31 16:25 - CDTS_TEST 王成

- Assignee changed from CD TEST-方永红 to 物联网测试组_TSCD 王维

#4 - 2023-10-08 09:54 - 物联网测试组_TSCD 王维
- Status changed from RESOLVED to VERIFIED

已在0142之后三个版本持续跑测超过一星期未复现；关闭

#5 - 2023-10-08 09:54 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED
